Name:           libfwbuilder
Summary:        Firewall Builder API
Version:        2.0.12
Release:        3%{?dist}
License:        GPL
Group:          System Environment/Libraries
URL:            http://www.fwbuilder.org/
Source:         %{name}-%{version}.tar.gz
Buildroot:      %{_tmppath}/%{name}-%{version}-root
BuildRequires:  qt-devel >= 1:3.0.0
BuildRequires:  libxslt-devel
BuildRequires:  openssl-devel
#BuildRequires:  net-snmp-devel

%description
Firewall Builder API library and compiler framework

%files
%defattr(-,root,root)
%doc doc/AUTHORS doc/COPYING doc/ChangeLog doc/Credits doc/README doc/PatchAcceptancePolicy.txt
%dir %{_datadir}/libfwbuilder
%{_datadir}/libfwbuilder/*
%{_libdir}/*.so.*
%{_libdir}/*.so


%package devel
Summary:   Firewall Builder API Libraries and Header Files
Group:     Development/Libraries
Requires:  %{name} = %{version}-%{release}
Requires: libxslt-devel
Requires: openssl-devel

%description devel
This package contains the libraries  and header files that programmer would
need to develop applications using Firewall Builder API.

%files  devel
%defattr(-, root, root)
%{_bindir}/libfwbuilder-config-2
%dir %{_includedir}/fwb-2.0/
%{_includedir}/fwb-2.0/fwbuilder
%{_includedir}/fwb-2.0/fwcompiler


%prep
%setup -q


%build
[ -n "$QTDIR" ] || . %{_sysconfdir}/profile.d/qt.sh
#
# configure does not pass our CXXFLAGS to the build process,
# which kind of sucks.
# There has to be a less ugly way to do this.
#
perl -pi -e 's|(QMAKE_CXXFLAGS_.*)|$1 \@CXXFLAGS\@|' qmake.inc.in

%configure \
    --enable-auto-docdir \
    --with-templatedir=%{_datadir}/libfwbuilder \
    --disable-static  \
    --enable-shared \
    --disable-dependency-tracking
#
# configure thinks we have a usable libresolv, when in fact we do
# not (according to the definiton used by libfwbuilder, that is)
#
perl -pi -e 's,#define HAVE_GOODLIBRESOLV 1,/* #undef HAVE_GOODLIBRESOLV */,' src/fwbuilder/libfwbuilder-config.h
make all


%install
[ -n "$QTDIR" ] || . %{_sysconfdir}/profile.d/qt.sh
rm -rf $RPM_BUILD_ROOT
make DDIR=$RPM_BUILD_ROOT install
# prevent including twice the doc
rm -rf $RPM_BUILD_ROOT/%{_datadir}/doc/%{name}-%{version}


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%changelog
* Mon Sep 11 2006 Ralf Ertzinger <ralf@skytale.net> 2.0.12-3.fc6
- Bumped and rebuilt for FC6

* Mon Apr 24 2006 Ralf Ertzinger <ralf@skytale.net> 2.0.12-2.fc6
- Retagging

* Fri Apr 21 2006 Ralf Ertzinger <ralf@skytale.net> 2.0.12-1.fc5
- Update to 2.0.12
- Drop gcc-4.1 patch and -ffriend-injection

* Wed Feb 22 2006 Ralf Ertzinger <ralf@skytale.net> 2.0.10-2.fc5
- Bump and rebuild for FC5

* Sun Feb 05 2006 Ralf Ertzinger <ralf@skytale.net> 2.0.10-1
- Update to 2.0.10
- Fixes for GCC 4.1
- Fixes for changed libresolv behaviour in FC5

* Sun May 22 2005 Jeremy Katz <katzj@redhat.com> - 2.0.6-3
- build on all arches

* Fri Apr  1 2005 Michael Schwendt <mschwendt[AT]users.sf.net> 2.0.6-2
- Include fwb-2.0 headers directory in -devel package.

* Thu Mar  3 2005 Steve Grubb <sgrubb@redhat.com> 2.0.6-1
- New upstream version

* Sun Feb  6 2005 Ville Skyttä <ville.skytta at iki.fi> - 2.0.5-3
- Remove extra quotes from Group tag in -devel.

* Sat Jan 22 2005 Warren Togami <wtogami@redhat.com> 2.0.5-2
- spec cleanup

* Sat Jan 22 2005 Steve Grubb <sgrubb@redhat.com> 2.0.5
- Created base spec file

